cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 12

How to rebuild an APE

Hi Team,

I have to rebuild an APE. The platform version is 2017.3 HF3

While reinstalling the APE on a new box, we are getting the error: Algorithm has stuck! Unable to install any product on setup.

Is there any other way to install or I have to choose the legacy version?

0 Kudos
21 Replies
Level 12

I upgraded to NPM 12.3, still got stuck on APE, Installer is not proceeding, NEXT button is grayed and not responding.

pastedImage_0.png

prashantsingh  wrote:

I upgraded to NPM 12.3, still got stuck on APE, Installer is not proceeding, NEXT button is grayed and not responding.

pastedImage_0.png

This indicates that the APE is already up-to-date as it is showing the current version only, with no version to upgrade to. That is why the 'Next' button is grayed out.

0 Kudos

running configuration wizard resolved this issue.

If it were me, I'd delete the APE that has failed to recreate/rebuild.  Completely.  Wipe it out, then follow the process, provided by aLTeReGo previously, once a new platform is created to replace it.  RDP into the newly rebuilt/wiped server, open a web page to the Main Instance of NPM, then use the Polling Engines link as referenced above to recreate your APE.

I've actually done this a couple of times with good success.  The important part was giving the new APE the exact same name and IP address as the APE that failed to build of upgrade.  It worked well for me.

0 Kudos

Hi rschroeder, This has worked for me as well in the past. I have created a new box and using the old hostname and IP to install the application and getting the above-mentioned errors.

Luckily got support on call, who shared the link for the port requirement and left away since his shift was over and nobody joined later. Port connectivity is fine.

0 Kudos

This sounds similar to the issues experienced here: new

Have you changed the Name of your Primary Orion server by any chance? If so you will need to run a script on your Database to update the NetBios reference in your system.

Personally, I might be tempted to remove all reference to your existing APE and then try the rebuild as if it were a new machine

Have you tried downloading the NPM12.2 Offline installer directly from the Customer Portal and putting it onto the APE Server? When it runs you can select the Scalability option?

- David Smith
0 Kudos

Hi David,

I tried with NPM 12.2 offline installer, still, it is giving the same error as Solarwinds installer.

0 Kudos

I would suggest you might stop and re-start all the Services on your Primary Polling Engine as it doesn't seem like your APE can communicate with it properly. Also, make sure no FW or ACL has been put in place between them and that they can communicate properly on TCP/17777

It might even be worth re-running the Config Wizard on your Primary - I know this sounds odd, but something isn't right as the APE connects to the DB and it's being refused connection.

- David Smith
0 Kudos

HI David,

Checked all connectivity and it is working fine. The issue is related to installation.

Solarwinds support informed that the issue is related to some beta installed on Primary server in the past, and they are unable to support on beta.

0 Kudos

Perfect.  All you should need do is completely uninstall the beta (preferably re-image the server from the ground up) and reinstall the APE as outlined above, and things should start working again.

0 Kudos

Support also informed that since the SQL is also associated with the Primary server so the database schema is also affected, so I should choose a new SQL instance. So eventually I would be setting up a new environment of Solarwinds from scratch. Is there a way to minimize the work.

0 Kudos

Hi David,

There are no changes made to the primary. We want to rebuild APE due to its platform issue. I want to keep the same name and IP for this replaced APE.

I didn't try the NPM 12.2 offline installer, this might be a way but I am looking specifically for APE installer.

Thanks

Prashant

0 Kudos
Level 12

Is there someone from SolarWinds support who can pick the call or reply on Case # 00145046 - Rebuild additional poling engine

0 Kudos
Product Manager
Product Manager

It sounds like you downloaded the Additional Poller Installer for a different Orion Platform version through the Customer Portal. Instead, you will need to download and run the Scalability Engines Installer from the web interface of your Orion server. it is located under [Settings > Polling Engines > Download Installer Now]

pastedImage_0.png

0 Kudos

That's assuming they have fixed this link to include the latest version of the installer, see 00288415, April 8th, 2019.  We were upgrading from 12.3 HF6 to 12.4 with core 2018.4 HF3.

The PM has been made aware.  As far as I can tell however it is not fixed yet.  I do agree it is very important to run the "correct" installer.

This is just my opinion and what we recently experienced.

0 Kudos

While trying to install via 12.1 installer getting following error:

pastedImage_0.png

0 Kudos

HI aLTeReGo, I tried this way as well again getting the same error.

pastedImage_0.png

0 Kudos

What version of the installer are you using? You can check this by right-clicking on the installer itself, selecting 'Properties' and clicking on the 'Details' tab.

pastedImage_2.png

0 Kudos

Hi aLTeReGo , The version is the same as mentioned by you.

pastedImage_0.png

0 Kudos

What module(s) do you have installed?

0 Kudos